Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util.extractor
Class AbstractCompositeExtractor

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.util.extractor.AbstractExtractor
com.tangosol.util.extractor.AbstractCompositeExtractor`

All Implemented Interfaces:
  ExternalizableLite, PortableObject, QueryMapComparator, ValueExtractor, Serializable, Comparator

Direct Known Subclasses:
  ChainedExtractor, ComparisonValueExtractor, MultiExtractor

      public abstract class AbstractCompositeExtractor

extends AbstractExtractor
implements ExternalizableLite, PortableObject

Abstract super class for ValueExtractor implementations that are based on an underlying array of ValueExtractor objects.

Since:
  Coherence 3.2
Author:
  gg 2006.02.08

Field Summary
`protected ValueExtractor[]` | `m_aExtractor` The ValueExtractor array.

Fields inherited from class com.tangosol.util.extractor.AbstractExtractor
`KEY, m_nTarget, VALUE`

Constructor Summary
`AbstractCompositeExtractor()` Default constructor
`AbstractCompositeExtractor(ValueExtractor[] aExtractor)` Construct a AbstractCompositeExtractor based on the specified ValueExtractor array.

Method Summary
`boolean` | `equals(Object o)` Compare the AbstractCompositeExtractor with another object to determine equality.
`ValueExtractor[]` | `getExtractors()` Obtain the ValueExtractor array.
`int` | `hashCode()` Determine a hash value for the MultiExtractor object according to the general `Object.hashCode()` contract.
`void` | `readExternal(DataInput in)` Restore the contents of this object by loading the object's state from the passed DataInput object.
`void` | `readExternal(PofReader in)` Restore the contents of a user type instance by reading its state using the specified PofReader object.
`String` | `toString()` Return a human-readable description for this ValueExtractor.
`void` | `writeExternal(DataOutput out)` Save the contents of this object by storing the object's state into the passed DataOutput object.
`void` | `writeExternal(PofWriter out)` Save the contents of a POF user type instance by writing its state using the specified PofWriter object.

Methods inherited from class com.tangosol.util.extractor.AbstractExtractor
`compare, compareEntries, extract, extractFromEntry, extractOriginalFromEntry`

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Field Detail

### m_aExtractor

    protected ValueExtractor[] m_aExtractor

  The ValueExtractor array.

Constructor Detail

### AbstractCompositeExtractor

    public AbstractCompositeExtractor()

  Default constructor

### AbstractCompositeExtractor

    public AbstractCompositeExtractor(ValueExtractor[] aExtractor)

  Construct a AbstractCompositeExtractor based on the specified ValueExtractor array.
  Parameters:
    `aExtractor` - the ValueExtractor array

Method Detail

### getExtractors

    public ValueExtractor[] getExtractors()

  Obtain the ValueExtractor array.
  Returns:
    the ValueExtractor array

### equals

    public boolean equals(Object o)

  Compare the AbstractCompositeExtractor with another object to determine equality. Two AbstractCompositeExtractor objects are considered equal iff they belong to the same class and their underlying ValueExtractor arrays are `deep-equal`.
  Specified by:
    `equals` in interface `ValueExtractor`
  Specified by:
    `equals` in interface `Comparator`
  Parameters:
    `o` - the reference object with which to compare
  Returns:
    true iff this AbstractCompositeExtractor and the passed object are equivalent
  See Also:
    `Object.equals(java.lang.Object)`, `Object.hashCode()`

### hashCode

    public int hashCode()

  Determine a hash value for the MultiExtractor object according to the general `Object.hashCode()` contract.
  Specified by:
    `hashCode` in interface `ValueExtractor`
  Returns:
    an integer hash value for this ValueExtractor object

### toString

    public String toString()

  Return a human-readable description for this ValueExtractor.
  Specified by:
    `toString` in interface `ValueExtractor`
  Returns:
    a String description of the ValueExtractor

### readExternal

    public void readExternal(DataInput in)
                      throws IOException

  Restore the contents of this object by loading the object's state from the passed DataInput object.
  Specified by:
    `readExternal` in interface `ExternalizableLite`
  Parameters:
    `in` - the DataInput stream to read data from in order to restore the state of this object
  Throws:
    `IOException` - if an I/O exception occurs
    `NotActiveException` - if the object is not in its initial state, and therefore cannot be deserialized into

### writeExternal

    public void writeExternal(DataOutput out)
                       throws IOException

  Save the contents of this object by storing the object's state into the passed DataOutput object.
  Specified by:
    `writeExternal` in interface `ExternalizableLite`
  Parameters:
    `out` - the DataOutput stream to write the state of this object to
  Throws:
    `IOException` - if an I/O exception occurs

### readExternal

    public void readExternal(PofReader in)
                      throws IOException

  Restore the contents of a user type instance by reading its state using the specified PofReader object.
  Specified by:
    `readExternal` in interface `PortableObject`
  Parameters:
    `in` - the PofReader from which to read the object's state
  Throws:
    `IOException` - if an I/O error occurs

### writeExternal

    public void writeExternal(PofWriter out)
                       throws IOException

  Save the contents of a POF user type instance by writing its state using the specified PofWriter object.
  Specified by:
    `writeExternal` in interface `PortableObject`
  Parameters:
    `out` - the PofWriter to which to write the object's state
  Throws:
    `IOException` - if an I/O error occurs

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.